[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TQuestionDialogFunction

Specifies a function called to display and execute a widgetset-independent Question Mark dialog using the specified settings.

## Declaration

Source position: interfacebase.pp line 218

`type TQuestionDialogFunction = function(`
`const aCaption: string;`
`const aMsg: string;`
`DlgType: LongInt;`
`Buttons: TDialogButtons;`
`HelpCtx: LongInt`
`):LongInt;`

## Arguments

`aCaption` |  | Caption for the dialog. An empty string causes the default description for the dialog type to be used.
`aMsg` |  | Text displayed as the main content on the dialog. Allows embedded end-of-line sequences in the text.
`DlgType` |  | Integer constant which indicates the dialog type like idDialogWarning, idDialogError, idDialogInfo, idDialogConfirm, or idDialogShield.
`Buttons` |  | Pointer to the address where the button identifiers for the dialog are specified.
`HelpCtx` |  | Context identifier for help displayed using a Help button on the dialog.

## Function result

Modal result value returned when the dialog is executed.